# Changelog

Das Format dieser Datei basiert auf [Keep a Changelog](https://keepachangelog.com/de).

## 2022-02-14
### Dokumentation
- [Code-Beispiele zum Verschlüsseln von Daten](./sending/encrypt.mdx) gemäß den [Vorgaben für krytographischen Verfahren](./details/crypto.md) angepasst (Korrektur JWE-Header-Attribute).

## 2022-02-07
### Dokumentation
- Hinweise zur [Signaturprüfung der vom DVDV gelieferten Zustellpunkt-Parameter](./responsibilities/get-destination.mdx#checkDestinationParametersSignature) ergänzt

## 2022-02-03
### Zustelldienst 1.2.0
- Story: Der Zustelldienst schreibt nun zusätzliche Infos in die Events `submit-submission` und `notify-submission`.
  Die Events enthalten jetzt eine Referenz (`$schema`) auf das zugehörige Schema.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/210))

### Dokumentation
- Die [Beschreibung des Ereignisprotokolls](getting-started/event-log/overview.mdx) wurde in mehrere Seiten aufgeteilt.
- Die [Liste der Ereignisse](getting-started/event-log/events.mdx) wurde um die Beschreibung der Payloads erweitert.
- Umgang mit [Empfangsbestätigung oder Zurückweisung](sending/accept-reject.mdx) ergänzt.
- [Einreichung überprüfen](receiving/verification.mdx) ergänzt.

## 2022-01-19
### Dokumenation
- [Aufbau der Zustellpunkt-Informationen](responsibilities/get-destination.mdx#destination-object) überarbeitet

## 2022-01-17
### Dokumentation
- [Kontaktmöglichkeiten](/contact) überarbeitet

##  2022-01-11
### Dokumentation
- [Abschnitt zur Pflege der FIT-Connect „destinationSignatur“ in FIM-Redaktionssytemen](responsibilities/routing.mdx) ergänzt

### Self Service Portal 1.3.1
- Fix: Anpassung des Address Export und Zustelldienst Signature Typs um dem JWT Standard besser gerecht zu werden (`JWT` statt `jwt`)

### Self Service Portal 1.3.0
- Story: Das Self-Service-Portal stellt jetzt unter `/v1/delivery-services` eine JWS mit den Hostnamen aller Zustelldienste bereit
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/172))

##  2021-12-14

### API Spezifikation 1.0.5
- Der Content-Type für das Senden von Events wurde korrigiert.

## 2021-12-10

### Self Service Portal 1.2.2
- Bugfixes für: Statusmodell einer Destination
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/18))

### Zustelldienst 1.1.1
- Bugfixes für: Statusmodell einer Destination
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/18))
- Callback-Aufrufe können nun über einen Proxy geleitet werden.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/298))
- API-Version in `1.0.4` geändert.

##  2021-12-02

### Self Service Portal 1.2.1
- Bugfix: Aktualisierung von Services über das Self-Service-Portal ist nicht möglich
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/282))

##  2021-12-01

### API Spezifikation 1.0.4
- Es wurden kaputte Links in der API-Spezifikation korrigiert.

### Self Service Portal 1.2.0
- Story: Zugang zur Produktivumgebung auf Basis von Gruppenzugehörigkeit
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/6))

##  2021-11-29

### Self Service Portal 1.1.0 / 1.1.1
- Story: Export von Zustellpunkt Adressierungsinformationen als JWS
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/175))

##  2021-11-23

### Zustelldienst 1.0.3
- Bugfix: Nicht-erfolgreiche Callback-Aufrufe dürfen nicht zu einem Fehler führen.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/207))
- API-Version in `1.0.3` geändert.

##  2021-11-18

### Self Service Portal 1.0.2
- Bugfix: Alle Links zur Dokumentations auf der Zustellpunkt Erstell und Bearbeiten Seite von der Version ´next´ zu ´v1´ geändert.
- Bugfix: Der Link zur Urn Verwaltungsleistung Suche auf der Zustellpunkt Erstell und Bearbeiten Seite wurde korrigiert

##  2021-11-17

### Zustelldienst 1.0.2
- Bugfix: Es wurde der Inhalt des `type` Felds gefixt, der bei der Callback-Übermittelung an einen Zustellpunkt verwendet wird.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/233))
- Bugfix: Der Endpunkt `POST /v1/submissions/{submissionId}` wurde gemäß der aktuellen API-Spezifikation nach `POST /v1/cases/{caseId}` verlegt.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/244))

## 2021-11-15

### API Spezifikation 1.0.3

- Der Wert `created` für den Status wurde aus dem `PATCH`-Endpunkt entfernt. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/238))

Die Version 1.0.2 wurde zurückgezogen und durch 1.0.3 ersetzt. Version 1.0.3 ist gleichwertig zu 1.0.1

## 2021-11-11

### API Spezifikation 1.0.1

- Die Callback URIs wurden korrigiert, so dass sie jetzt die `submission-api` enthalten.

##  2021-11-10
### Metadata Schema 1.0.0
  - [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) wurde released

### Self Service Portal 1.0.1
  - Die auswählbare unterstütze Metadaten Version `0.9.6` bei Zustellpunkten wurde deprecated und entfernt. Sie wird durch die neu releaste [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) ersetzt.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/232))

### Zustelldienst 1.0.1
- Die auswählbare unterstütze Metadaten Version `0.9.6` bei Zustellpunkten wurde deprecated und entfernt.
  Sie wird durch die neu releaste [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) ersetzt.
  Alle bestenden Zustellpunkte werden automatisch von Version `0.9.6` auf `1.0.0` migriert.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/232))
- Bugfix: Es wurde gefixt, dass bei einer erfolgreichen Einreichung nicht mehr der Sender, sondern der Empfänger über den Callback benachrichtig wird.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/234))

## Submission API [1.0.0] - 2021-11-05

:::caution
Diese Version beinhaltet **breaking changes** für bestehende Nutzer der Beta 6 und Beta 7 der Submission API
:::

Mit der Version 1.0.0 der Submission API wurden grundlegende Änderungen am Verschlüsselungskonzept und Statusmodell durchgeführt. Zudem wurden viele Endpunkte nicht abwärtskompatibel überarbeitet.

Für bestehende Nutzer der Beta 6 und Beta 7 wird daher dringend empfohlen, sich vollständig mit der Dokumentation der API V1 auseinanderzusetzen, um ein Upgrade auf die neue Version der Submission API zu planen.

Sollten dennoch Fragen zur Migration auf die V1 offen bleiben, können Sie sich an das Service Desk wenden: [fit-connect-support ät fjd.de](mailto:fit-connect-support@fjd.de)
